import React from "react";
import InputWithDropDown from "../../../../../ui/inputs/InputWithDropDown";

interface StorageActionProps {
    value: string;
    min: number;
    max: number;
    defaultValue: string;
    onChange: (value: string) => void;
}

const StorageAction: React.FC<StorageActionProps> = ({ value, min, max, defaultValue, onChange }) => {
    return (
        <InputWithDropDown
            label="Storage Capacity"
            value={value}
            min={min}
            step={1}
            max={max}
            defaultValue={defaultValue}
            activeOption="s"
            onClick={() => { }}
            onChange={onChange}
        />
    );
};

export default StorageAction;
